#ifndef _MST_ATTO_H_
#define _MST_ATTO_H_

#include "mstlib.h"

#define CONFIG_FILE "mstatto.csv"

#define MTR_MIN_POSITION -128000000
 
#define MTR_TYPE_UNKNOWN  0x00
#define MTR_TYPE_LINEAR   0x01
#define MTR_TYPE_ROTATION 0x02


extern GETGMTPFCNP getGroupMemberTargetPositionFcn;
extern GETGPFCNP getGroupPositionFcn;

#if defined(MSTBEK_EXPORTS) 
# define LIB_EXPORT __declspec(dllexport)
# else
# define LIB_EXPORT __declspec(dllimport)
# endif
 
#if defined(__cplusplus) && !defined(FORCE_CPP)
extern "C" {
#endif

LIB_EXPORT void setGetGroupMemberTargetPositionFunction(GETGMTPFCNP fcn);
LIB_EXPORT int hasExternGetGroupMemberTargetPositionFunction(void);
LIB_EXPORT void setGetGroupPositionFunction(GETGPFCNP fcn);
LIB_EXPORT int hasGroupPositionPositionFunction(void);


#if defined(__cplusplus) && !defined(FORCE_CPP)
}
#endif

#endif // _MST_ATTO_H_